← OBPv7.0.0 Get all Entitlements GET /obp/v7.0.0/entitlements OBPv3.1.0-getAllEntitlements No role required RoleEntitlement Login is required. Possible filter on the role field: eg: /entitlements?role=CanGetCustomersAtOneBank User Authentication is Required. The User must be logged in. The Application must also be authenticated. JSON response body fields (6) bank_id gh.29.ukentitlement_id list role_name user_id 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1username felixsmith Example success response { "list": [ { "entitlement_id": "6fb17583-1e49-4435-bb74-a14fe0996723", "role_name": "CanGetCustomersAtOneBank", "bank_id": "gh.29.uk", "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "username": "felixsmith" } ] } Possible errors (2) OBP-20001: User not logged in. Authentication is required!OBP-50000: Unknown Error.